Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.reporters
Class TemplateableOutput.OutputStep

    java.lang.Object
      org.jbehave.core.reporters.TemplateableOutput.OutputStep

Direct Known Subclasses:
  TemplateableOutput.OutputRestart

Enclosing class:
  TemplateableOutput

    public static class TemplateableOutput.OutputStep

extends Object

Nested Class Summary
`static class` | `TemplateableOutput.OutputStep.StepFormattingFailed`

Constructor Summary
`TemplateableOutput.OutputStep(String step, String outcome)`

Method Summary
`Throwable` | `getFailure()`
`String` | `getFailureCause()`
`String` | `getFormattedStep(EscapeMode outputFormat, String parameterPattern)`
`String` | `getFormattedStep(String parameterPattern)` Deprecated.
`String` | `getOutcome()`
`OutcomesTable` | `getOutcomes()`
`String` | `getOutcomesFailureCause()`
`List<TemplateableOutput.OutputParameter>` | `getParameters()`
`String` | `getStep()`
`String` | `getStepPattern()`
`ExamplesTable` | `getTable()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TemplateableOutput.OutputStep

    public TemplateableOutput.OutputStep(String step,
                                         String outcome)

Method Detail

### getStep

    public String getStep()

### getStepPattern

    public String getStepPattern()

### getParameters

    public List<TemplateableOutput.OutputParameter> getParameters()

### getOutcome

    public String getOutcome()

### getFailure

    public Throwable getFailure()

### getFailureCause

    public String getFailureCause()

### getTable

    public ExamplesTable getTable()

### getOutcomes

    public OutcomesTable getOutcomes()

### getOutcomesFailureCause

    public String getOutcomesFailureCause()

### getFormattedStep

    @Deprecated
    public String getFormattedStep(String parameterPattern)

  Deprecated.

### getFormattedStep

    public String getFormattedStep(EscapeMode outputFormat,
                                   String parameterPattern)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.